let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = ''
      16f4e04658c2ab10114545af2f39db17d51bd1bd'';
  };

in {
  inherit nixpkgs;
  nixos = nixpkgs // { suffix = "/nixos"; };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = ''
      013fcdd106823416918004bb684c3c186d3c460f'';
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = ''
      eacdbfb1bfa19e816e5e3716057202a3e6efb534'';
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = ''
      bed01d8777e0675d270af7cc5cf71be7d2bcbd77'';
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = ''
      6639e3a837fc5deb6f99554072789724997bc8e5'';
  };
}
